=== debian/changelog ===
xwatch (2.11-16) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #940668)

  [ Peter S Galbraith ]
  * debian/control:
  - Standards-Version: 4.5.0 (no changes)
  - Build-Depends: debhelper-compat (= 13)
  * debian/compat deleted

 -- Peter S Galbraith <psg@debian.org>  Fri, 29 May 2020 09:54:31 -0400

xwatch (2.11-15) unstable; urgency=low

  * Rebuild for libforms2.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Standards-Version: 3.8.4

 -- Peter S Galbraith <psg@debian.org>  Fri, 28 May 2010 17:43:53 -0400

xwatch (2.11-14) unstable; urgency=low

  * Bug fix: "FTBFS: xwatch.h:33:23: error: X11/forms.h: No such file or
    directory", thanks to Lucas Nussbaum (Closes: #551230). Adapt to new
    libforms1.
  * debhelper 7 compatibility.  Created debian/compat.
  * Updated menu section to Applications/System/Monitoring.

 -- Peter S Galbraith <psg@debian.org>  Fri, 16 Oct 2009 15:01:35 -0400

xwatch (2.11-13) unstable; urgency=low

  * Bug fix: "xwatch: Missing alternative dependency on
    system-log-daemon", thanks to Michael Biebl (Closes: #464008).

 -- Peter S Galbraith <psg@debian.org>  Wed, 26 Mar 2008 21:01:23 -0400

xwatch (2.11-12) unstable; urgency=medium

  * Bug fix: "xwatch: FTBFS: bashisms", thanks to Julien Danjou for the
    report.  yodl has changed and an old patch applied to its output no
    longer applied cleanly.  It's no longer needed so I deleted
    it. (Closes: #382620).

 -- Peter S Galbraith <psg@debian.org>  Wed, 30 Aug 2006 22:39:41 -0400

xwatch (2.11-11) unstable; urgency=low

  * Bug fix: "xwatch: segmentation fault", thanks to Ben Hay for reporting
    it and to Göran Weinholt <weinholt@debian.org> for providing the fix!
    (Closes: #312140).
  * Standards version 3.6.2 without changes

 -- Peter S Galbraith <psg@debian.org>  Tue, 20 Sep 2005 20:21:56 -0400

xwatch (2.11-10) unstable; urgency=low

  * Created debian/compat with "3" as contents.
  * Build-Depends: debhelper (>= 3) accordingly.  Bug fix: "xwatch: build
    dependency on debhelper must be versioned", thanks to Adrian Bunk
    (Closes: #260558).
  * Updated build-depends, removing old xlibs-dev.
  * Standards version 3.6.1 without changes
  * debian/menu: Quote two unquoted strings.
  * debian/menu: Removed icon entry since it referred to mini-eyes.xpm
    provided by the fvwm95-icons package.

 -- Peter S Galbraith <psg@debian.org>  Wed, 21 Jul 2004 10:56:50 -0400

xwatch (2.11-9) unstable; urgency=low

  * Move to main from contrib!
  * Standards version 3.5.8; Tweaked rules file.

 -- Peter S Galbraith <psg@debian.org>  Tue, 10 Dec 2002 20:39:39 -0500

xwatch (2.11-8) unstable; urgency=low

  * src/xwatch.h: Add "#include <time.h>" to xwatch.h so it builds with
    current glibc (closes: #98891).

 -- Peter S Galbraith <psg@debian.org>  Mon, 28 May 2001 09:49:09 -0400

xwatch (2.11-7) unstable; urgency=low

  * Put xwatch.1 man page under /usr/share/man instead of /usr/man
  * whatis parse for xwatch(1) fixed (closes: #88512)

 -- Peter S Galbraith <psg@debian.org>  Wed,  7 Mar 2001 22:37:33 -0500

xwatch (2.11-6) unstable; urgency=low

  * Fix typo (missing slash) in /usr/lib/menu/xwatch (closes: #81740)
  * Add a few log filenames to /usr/lib/menu/xwatch while I'm at it.

 -- Peter S Galbraith <psg@debian.org>  Wed, 10 Jan 2001 09:30:00 -0500

xwatch (2.11-5) unstable; urgency=low

  * Moved /usr/X11R6/lib/X11/app-defaults/XWatch to /etc/X11/app-defaults/
    and made it a conffile.
  * Added build-depends.
  * Conforms to Standards-Version 3.1.1 (except for app-defaults above,
    which is not in policy yet).
  * Moved /usr/X11R6/bin/xwatch to /usr/bin/ .

 -- Peter S Galbraith <psg@debian.org>  Wed,  3 Jan 2001 14:27:08 -0500

xwatch (2.11-4) unstable; urgency=low

  * Docs referred to README.debian instead of README.Debian
    Closes: #51435

 -- Peter S Galbraith <psg@debian.org>  Mon, 29 Nov 1999 14:36:57 -0500

xwatch (2.11-3) unstable; urgency=low

  * Update to policy 3.0.1 (/usr/doc/xwatch -> /usr/share/doc/xwatch)
  * added /usr/share/xwatch/rgb.txt until /usr/X11R6/lib/X11/rgb.txt is
    moved into a small client-side package (ref. bug #29814).
    - Small edit of colorname2rgb.c was necessary (and debian/rules file)
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 21 Oct 1999 14:20:38 -0400

xwatch (2.11-2) unstable; urgency=low

  * src/addline.c: small patch to remove horizontal scrollbar when not
    needed.  Closes bug #43157.
  * Edited docs to reflect X reorganization; /etc/X11/Xresources is now a
    directory and not a file.  System adminitrators who want to customize
    xwatch globally should now create a file /etc/X11/Xresources/xwatch
    for these configurations.

 -- Peter S Galbraith <psg@debian.org>  Wed, 18 Aug 1999 10:17:23 -0400

xwatch (2.11-1) unstable; urgency=low

  * New upstream release created by Debian maintainer.
     New license (GPL + permission to link against XForms).
     Also added the Debian man page to upstream package.
     Makefile did not build properly
      ui.h and xwatch.c now have #include <X11/forms.h>
      Hacked the makefile a little to add library path.
  * Closes bug #35157: xwatch is not distributable
	
 -- Peter S Galbraith <psg@debian.org>  Mon,  7 Jun 1999 11:15:55 -0400

xwatch (2.10-3) unstable; urgency=low

  * Work around bug 30622, 30624, 30637 and 30828 which are all the same
    and should be against wmaker anyway.  I understand that it's menu 
    interface sees "/path/*" as a C-style comment beginning and bugs out.
  * Added `Version' and `Section' lines to .deb 
  
 -- Peter S Galbraith <psg@debian.org>  Thu, 17 Dec 1998 14:20:03 -0500

xwatch (2.10-2) unstable; urgency=low

  * Linked against libforms0.88 intsead of oldlibs libforms0.86
    Closes bug 30722.
  * Fixed postinst and postrm.
  * Moved to section admin.
  
 -- Peter S Galbraith <psg@debian.org>  Tue, 15 Dec 1998 09:10:07 -0500

xwatch (2.10-1) unstable; urgency=low


