=== debian/control ===
Source: xwatch
Section: admin
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper-compat (= 13), libforms-dev, yodl
Standards-Version: 4.5.0

Package: xwatch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rsyslog | system-log-daemon
Description: logfile monitor that displays in an X window. 
 The displayed logs are colour-coded according to severity.  Basically, you
 get to see what's going on _during_ say a break-in, instead of having to
 check the logfiles after the damage is done. Of course, you need to have
 the syslog daemons configured right, so that the logfiles are
 created. Xwatch reads options from its commandline as well as from a
 app-defaults resource file.
